IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSRBD_JOBFAMENTRY' AND KSQL_COL_NAME ='FJOBFAMILYHRID')
ALTER TABLE T_TSRBD_JOBFAMENTRY ADD (FJOBFAMILYHRID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSRBD_TYJOBCLENTRY' AND KSQL_COL_NAME ='FID')
ALTER TABLE T_TSRBD_TYJOBCLENTRY ADD (FID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSRBD_TYJOBCLENTRY' AND KSQL_COL_NAME ='FJOBCLASSHRID')
ALTER TABLE T_TSRBD_TYJOBCLENTRY ADD (FJOBCLASSHRID BIGINT DEFAULT 0 NOT NULL );
EXEC p_AlterColumn 'T_TSRBD_INTVERTYPE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSRBD_CFGMSGTEMPLATE' AND KSQL_COL_NAME ='FRECRUTYPEID')
 ALTER TABLE T_TSRBD_CFGMSGTEMPLATE ADD (FRECRUTYPEID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSRBD_MSGRECRUSCENE')
 CREATE TABLE T_TSRBD_MSGRECRUSCENE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);